"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chalk = require("chalk");
const check_command_1 = require("./check.command");
const check_action_1 = require("../actions/check.action");
class CommandLoader {
    static load(program) {
        new check_command_1.CheckCommand(new check_action_1.CheckAction()).load(program);
        this.handleInvalidCommand(program);
    }
    static handleInvalidCommand(program) {
        program.on('command:*', () => {
            console.error(chalk.red('Invalid command: %s'), program.args.join(' '));
            console.log('See --help for a list of available commands.');
            process.exit(1);
        });
    }
}
exports.CommandLoader = CommandLoader;
